#
# spec file for package rubygem-pg
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-pg
Version:        1.5.4
Release:        1.2
%define mod_name pg
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  openssl-devel
BuildRequires:  postgresql-devel
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel >= 2.5}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
URL:            https://github.com/ged/ruby-pg
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-pg-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Pg is the Ruby interface to the PostgreSQL RDBMS
License:        BSD-2-Clause

%description
Pg is the Ruby interface to the PostgreSQL RDBMS. It works with PostgreSQL 9.3
and later.

%prep

%build

%install
%gem_install \
  --doc-files="History.md LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.5.4, see bundled History.md
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.5
  see installed History.rdoc
  == v1.4.5 [2022-11-17] Lars Kanis <lars@greiz-reinsdorf.de>
  - Return the libpq default port when blank in conninfo. #492
  - Add PG::DEF_PGPORT constant and use it in specs. #492
  - Fix name resolution when empty or `nil` port is given.
  - Update error codes to PostgreSQL-15.
  - Update Windows fat binary gem to PostgreSQL-15.1 AND OpenSSL-1.1.1s.
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.4
  see installed History.rdoc
  == v1.4.4 [2022-10-11] Lars Kanis <lars@greiz-reinsdorf.de>
  - Revert to let libpq do the host iteration while connecting. #485
    Ensure that parameter `connect_timeout` is still respected.
  - Handle multiple hosts in the connection string, where only one host has writable session. #476
  - Add some useful information to PG::Connection#inspect. #487
  - Support new pgresult_stream_any API in sequel_pg-1.17.0. #481
  - Update Windows fat binary gem to PostgreSQL-14.5.
* Mon Aug 29 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.3
  see installed History.rdoc
  == v1.4.3 [2022-08-09] Lars Kanis <lars@greiz-reinsdorf.de>
  - Avoid memory bloat possible in put_copy_data in pg-1.4.0 to 1.4.2. #473
  - Use Encoding::BINARY for JOHAB, removing some useless code. #472
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.2
  see installed History.rdoc
  == v1.4.2 [2022-07-27] Lars Kanis <lars@greiz-reinsdorf.de>
  Bugfixes:
  - Properly handle empty host parameter when connecting. #471
  - Update Windows fat binary gem to OpenSSL-1.1.1q.
  == v1.4.1 [2022-06-24] Lars Kanis <lars@greiz-reinsdorf.de>
  Bugfixes:
  - Fix another ruby-2.7 keyword warning. #465
  - Allow PG::Error to be created without arguments. #466
  == v1.4.0 [2022-06-20] Lars Kanis <lars@greiz-reinsdorf.de>
  Added:
  - Add PG::Connection#hostaddr, present since PostgreSQL-12. #453
  - Add PG::Connection.conninfo_parse to wrap PQconninfoParse. #453
  Bugfixes:
  - Try IPv6 and IPv4 addresses, if DNS resolves to both. #452
  - Re-add block-call semantics to PG::Connection.new accidently removed in pg-1.3.0. #454
  - Handle client error after all data consumed in #copy_data for output. #455
  - Avoid spurious keyword argument warning on Ruby 2.7. #456
  - Change connection setup to respect connect_timeout parameter. #459
  - Fix indefinite hang in case of connection error on Windows #458
  - Set connection attribute of PG::Error in various places where it was missing. #461
  - Fix transaction leak on early break/return. #463
  - Update Windows fat binary gem to OpenSSL-1.1.1o and PostgreSQL-14.4.
  Enhancements:
  - Don't flush at each put_copy_data call, but flush at get_result. #462
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.3.5
  see installed History.rdoc
  == v1.3.5 [2022-03-31] Lars Kanis <lars@greiz-reinsdorf.de>
  Bugfixes:
  - Handle PGRES_COMMAND_OK in pgresult_stream_any. #447
    Fixes usage when trying to stream the result of a procedure call that returns no results.
  Enhancements:
  - Rename BasicTypeRegistry#define_default_types to #register_default_types to use a more consistent terminology.
    Keeping define_default_types for compatibility.
  - BasicTypeRegistry: return self instead of objects by accident.
    This allows call chaining.
  - Add some April fun. #449
  Documentation:
  - Refine documentation of conn.socket_io and conn.connect_poll
* Sun Mar 13 2022 Stephan Kulow <coolo@suse.com>
- Update to version 1.3.4
  No Changelog installed anylonger
- Drop no longer required use-pkg-config.patch
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.3
  see installed ChangeLog
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.2
  see installed ChangeLog
* Wed Apr 10 2019 Christophe Giboudeaux <christophe@krop.fr>
- Add use-pkg-config.patch to avoid relying on postgresql-server.
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.4
  see installed ChangeLog
* Fri Sep 21 2018 mschnitzer@suse.com
- updated to version 1.1.3
  - Revert opimization that was sometimes causing EBADF in rb_wait_for_single_fd().
  == v1.1.2 [2018-08-28] Michael Granger <ged@FaerieMUD.org>
  - Don't generate aliases for JOHAB encoding.
    This avoids linking to deprecated/private function rb_enc(db)_alias().
  == v1.1.1 [2018-08-27] Michael Granger <ged@FaerieMUD.org>
  - Reduce deprecation warnings to only one message per deprecation.
  == v1.1.0 [2018-08-24] Michael Granger <ged@FaerieMUD.org>
  Deprecated (disable warnings per PG_SKIP_DEPRECATION_WARNING=1):
  - Forwarding conn.exec to conn.exec_params is deprecated.
  - Forwarding conn.exec_params to conn.exec is deprecated.
  - Forwarding conn.async_exec to conn.async_exec_params.
  - Forwarding conn.send_query to conn.send_query_params is deprecated.
  - Forwarding conn.async_exec_params to conn.async_exec is deprecated.
  PG::Connection enhancements:
  - Provide PG::Connection#sync_* and PG::Connection#async_* query methods for explicit calling syncronous or asynchronous libpq API.
  - Make PG::Connection#exec and siblings switchable between sync and async API per PG::Connection.async_api= and change the default to async flavors.
  - Add async flavors of exec_params, prepare, exec_prepared, describe_prepared and describe_portal.
    They are identical to their syncronous counterpart, but make use of PostgreSQL's async API.
  - Replace `rb_thread_fd_select()` by faster `rb_wait_for_single_fd()` in `conn.block` and `conn.async_exec` .
  - Add PG::Connection#discard_results .
  - Raise an ArgumentError for strings containing zero bytes by #escape, #escape_literal, #escape_identifier, #quote_ident and PG::TextEncoder::Identifier. These methods previously truncated strings.
  Result retrieval enhancements:
  - Add PG::Result#tuple_values to retrieve all field values of a row as array.
  - Add PG::Tuple, PG::Result#tuple and PG::Result#stream_each_tuple .
    PG::Tuple offers a way to lazy cast result values.
  - Estimate PG::Result size allocated by libpq and notify the garbage collector about it when running on Ruby-2.4 or newer.
  - Make the estimated PG::Result size available to ObjectSpace.memsize_of(result) .
  Type cast enhancements:
  - Replace Ruby code by a faster C implementation of the SimpleDecoder's timestamp decode functions. github #20
  - Interpret years with up to 7 digists and BC dates by timestamp decoder.
  - Add text timestamp decoders for UTC vs. local timezone variations.
  - Add text timestamp encoders for UTC timezone.
  - Add decoders for binary timestamps: PG::BinaryDecoder::Timestamp and variations.
  - Add PG::Coder#flags accessor to allow modifications of de- respectively encoder behaviour.
  - Add a flag to raise TypeError for invalid input values to PG::TextDecoder::Array .
  - Add a text decoder for inet/cidr written in C.
  - Add a numeric decoder written in C.
  - Ensure input text is zero terminated for text format in PG::Coder#decode .
  Source code enhancements:
  - Fix headers and permission bits of various repository files.
  Bugfixes:
  - Properly decode array with prepended dimensions. #272
    For now dimension decorations are ignored, but a correct Array is returned.
  - Array-Decoder: Avoid leaking memory when an Exception is raised while parsing. Fixes #279
- Add more rpmlint filters to avoid warnings which are caused by this gem
- Removed license line from gem2rpm.yml as the license can be detected
  automatically
- Drop rubygem-pg-0.17.1_shebang.patch as it's no longer needed
* Sat Jul 14 2018 factory-auto@kulow.org
- updated to version 1.0.0
  see installed History.rdoc
  == v1.0.0 [2018-01-10] Michael Granger <ged@FaerieMUD.org>
  Deprecated:
  - Deprecate Ruby older than 2.2.
  - Deprecate Connection#socket in favor of #socket_io.
  Removed:
  - Remove compatibility code for Ruby < 2.0 and PostgreSQL < 9.2.
  - Remove partial compatibility with Rubinius.
  Enhancements:
  - Update error codes to PostgreSQL-10
  - Update Windows binary gems to Ruby-2.5, PostgreSQL 10.1 and
    OpenSSL 1.1.0g.
  Bugfixes:
  - Fix URI detection for connection strings. #265 (thanks to jjoos)
  - MINGW: Workaround segfault due to GCC linker error in conjunction with MSVC.
    This happens when linking to PostgreSQL-10.0-x64 from EnterpriseDB.
  Documentation fixes:
  - Add PostgreSQL version since when the given function is supported. #263
  - Better documentation to `encoder` and `decoder` arguments of COPY related methods.
  == v0.21.0 [2017-06-12] Michael Granger <ged@FaerieMUD.org>
  Enhancements:
  - Move add_dll_directory to the Runtime namespace for newest versions
    of RubyInstaller.
  - Deprecate PGconn, PGresult, and PGError top-level constants; a warning
    will be output the first time one of them is used. They will be
    removed in the upcoming 1.0 release.
  Documentation fixes:
  - Update the docs for PG::Result#cmd_tuples
  New Samples:
  - Add an example of the nicer #copy_data way of doing `COPY`.
* Sat Mar 11 2017 coolo@suse.com
- updated to version 0.20.0
  see installed ChangeLog
  2017-03-10  Michael Granger  <ged@FaerieMUD.org>
  * .hgignore:
  Ignore .lock files
  [379c198c7185] [tip]
  2017-02-16  Lars Kanis  <lars@greiz-reinsdorf.de>
  * lib/pg.rb:
  Use block.call instead of yield in proc context
  yield in a proc context requires Ruby-2.2.
  [aa91b4b14b5c]
  2017-01-24  Lars Kanis  <lars@greiz-reinsdorf.de>
  * History.rdoc:
  Update History file regarding RI2 support.
  [d52339653fe3]
  * lib/pg.rb:
  Add support for RubyInstaller2 to Windows binary gem.
  RI2 ignores PATH setting for DLL search, but provides it's own API.
  [87fe14131d78]
  2017-01-14  Lars Kanis  <lars@greiz-reinsdorf.de>
  * History.rdoc:
  Update History file. [ci-skip]
  [0d1921b825d7]
  * Rakefile.cross:
  Update Windows binary rubies to support 2.0 to 2.4
  [3736e33ce71e]
  * ext/pg_connection.c, ext/pg_result.c:
  Change all Fixnum to Integer in documentation.
  Fixnum are deprecated in Ruby-2.4.
  [2e17f315848e]
  * ext/pg_type_map.c:
  Avoid compiler warnings about noreturn-functions:
  ../../../../ext/pg_type_map.c: In function
  ‘pg_typemap_fit_to_result’: ../../../../ext/pg_type_map.c:15:1:
  warning: function might be candidate for attribute ‘noreturn’
  [-Wsuggest-attribute=noreturn] pg_typemap_fit_to_result( VALUE self,
  VALUE result )
  [2af122820861]
  * spec/pg/type_map_by_class_spec.rb:
  Bignum,Fixnum and Integer are the same in Ruby-2.4.
  Fixes #255 : https://bitbucket.org/ged/ruby-pg/issues/255
  [a446dfaf9d8f]
  * Rakefile, pg.gemspec:
  Update rake-compiler and rake-compiler-dock
  This adds support for Ruby-2.4 on Windows and Ruby version
  constraints for binary gems.
  [6ebcebaad39c]
  * ext/pg_coder.c:
  Fix method arguments for Coder#encode in documentation.
  [ee79cce8b141]
  2016-12-04  Lars Kanis  <lars@greiz-reinsdorf.de>
  * History.rdoc, lib/pg/result.rb, spec/pg/result_spec.rb:
  Fix Result#inspect on a cleared result.
  [0c60865f718e]
  2016-11-09  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Merge branch 'master' of github.com:larskanis/ruby-pg
  [db7c584532e5]
  2016-11-09  Lars Kanis  <kanis@comcard.de>
  * Rakefile.cross:
  Don't download gems in the rake-compiler-dock, but use the local
  installed gems.
  This saves traffic and avoids download issues.
  [14e6fa84d31c]
  * Rakefile.cross:
  Update cross postgres and openssl versions.
  [a6ec62e2b783]
  * Rakefile:
  Fetch the errorcodes from a specific release version.
  This avoids introduction of errorcodes, which are not yet released
  and possibly subject to change.
  [b399dae9e988]
  * ext/errorcodes.def, ext/errorcodes.txt:
  Update errorcodes to PostgreSQL version 9.6.1
  [c1b690f2b47d]
  2016-11-09  Michael Granger  <ged@FaerieMUD.org>
  * History.rdoc:
  Merged with d62b04efb055
  [cefe252948ed]
  2016-10-21  Lars Kanis  <lars@greiz-reinsdorf.de>
  * lib/pg/text_encoder.rb:
  Fix typo in JSON#encode
  [d62b04efb055]
  * History.rdoc, lib/pg/text_decoder.rb, lib/pg/text_encoder.rb:
  Use secure JSON methods for JSON (de)serialisation.
  This fixes issue #248 : https://bitbucket.org/ged/ruby-pg/issues/248
  [fe3e883bead2]
  2016-09-21  Michael Granger  <ged@FaerieMUD.org>
  * .hgtags:
  Added tag v0.19.0 for changeset bd2aaa2c5797
  [5ed7106cc770]
  * .hgsigs:
  Added signature for changeset 8beaa5d72670
  [bd2aaa2c5797] [v0.19.0]
  * History.rdoc, lib/pg.rb:
  Bump the minor version, update history.
  [8beaa5d72670]
* Thu Sep 22 2016 coolo@suse.com
- updated to version 0.19.0
  see installed ChangeLog
  2016-09-04  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_connection.c:
  Replace rb_ary_new_from_args() which is missing in Ruby-2.0
  We don't really need an Array at all, but storing the values on the
  stack is enough.
  [4d9c4ee44d11] [tip]
  * ext/pg_connection.c:
  Use the asynchronous interface for setting the default_encoding.
  This is another attempt to solve issue https://bitbucket.org/ged
  /ruby-pg/issues/245 While setting the encoding per
  PQsetClientEncoding was already adjusted to release the GVL in a
  previous commit, it did not solve the particular issue with
  pgbouncer.
  Using the async interface has the advantage, that signals or
  exception events can be processed by the given thread, while a query
  is running.
  [a646a1394e9d]
  * spec/pg/connection_spec.rb:
  Spec: Use a more effective test for default_internal.
  UFT-8 is the standard for internal_encoding anyway, so that not
  setting it did not result in a failure.
  [08e7e13687e7]
  2016-08-20  Michael Granger  <ged@FaerieMUD.org>
  * certs/ged.pem, pg.gemspec:
  Correct key+cert upgrade.
  Refs #241.
  [7431b5c1430d]
  * README.rdoc:
  Merged with upstream
  [cf9ac513102e]
  2016-08-20  Lars Kanis  <lars@greiz-reinsdorf.de>
  * History.rdoc, lib/pg/connection.rb:
  Fix wrong exception when running SQL while in #copy_data for output.
  It raised "undefined method `result_status' for nil:NilClass"
  previously and raises "no COPY in progress" now.
  This also fixes the failing test of the previous commit.
  [dbfc3856e543]
  * spec/pg/connection_spec.rb:
  Add tests for running SQL statements while in #copy_data.
  The test for output currently fails.
  [9b2b1cd54d49]
  2016-08-18  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Rakefile:
  Don't update ext/errorcodes.def with every run of rake gem.
  This fixes the previous commit.
  [43a48561adde]
  2016-08-17  Lars Kanis  <lars@greiz-reinsdorf.de>
  * .hgignore, History.rdoc, Rakefile, ext/errorcodes.def:
  Add errorcodes.def to git in order to allow build from git per
  bundler.
  [29ca3eed927d]
  * History.rdoc:
  Update History.rdoc once more.
  [6874ea8622a1]
  * README.rdoc:
  Update README regarding to Ruby and PostgreSQL versions.
  [73930bce99d9]
  * spec/pg/basic_type_mapping_spec.rb:
  Run JSON test on PostgreSQL-9.4+, only.
  Earlier versions miss the JSONB type.
  [6b23964f70c3]
  * appveyor.yml:
  Update Appveyor to use Ruby 2.3 and remove 2.0 and 2.1.
  [8ff3d0b07cda]
  * .travis.yml:
  Remove ruby versions before 2.2, because hoe-deveiate isn't
  compatible with these versions.
  [73279f9db276]
  * lib/pg/basic_type_mapping.rb, lib/pg/text_decoder.rb,
  lib/pg/text_encoder.rb, spec/pg/basic_type_mapping_spec.rb:
  Add JSON coders and add them to BasicTypeMapForResults and
  BasicTypeMapBasedOnResult
  Fixes bitbucket issue #212 .
  [b76471234f7a]
  2016-08-14  Lars Kanis  <lars@greiz-reinsdorf.de>
  * lib/pg/basic_type_mapping.rb:
  Improve documentation to PG::BasicTypeMapForQueries
  [e7181c452c64]
  * History.rdoc:
  Update History.rdoc
  [9c3699255853]
  2016-08-20  Michael Granger  <ged@FaerieMUD.org>
  * BSDL, README.rdoc, ext/pg.c:
  Update copyright year, license files
  [c77d0997b4e4]
  * README.rdoc, certs/ged.pem:
  Update/upgrade my signing cert
  Fixes #241.
  [741c94c3bada]
  2016-08-17  Michael Granger  <ged@FaerieMUD.org>
  * pg.gemspec:
  Bump prerelease version in the gemspec
  [f7472e7a7902]
  2016-08-14  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Merge git master
  [9b7987626074]
  2016-08-13  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Rakefile.cross:
  Update OpenSSL and PostgreSQL for binary Windows gems.
  [edbd5b8dbb85]
  * History.rdoc:
  Update History.rdoc
  [aca7b024ba0c]
  * ext/gvl_wrappers.h, ext/pg_connection.c:
  Release GVL while calling PQsetClientEncoding()
  PQsetClientEncoding() is also called within PG::Connection.new which
  could block due to network delay.
  This fixes bitbucket issue #245 .
  [41f81b72476f]
  2016-06-27  Michael Granger  <ged@FaerieMUD.org>
  * ext/extconf.rb:
  Add __EXTENSIONS__ to Solaris/SmartOS for Ruby >= 2.3.x
  Fixes #236.
  [5979b3cba237]
  2016-04-09  Michael Granger  <ged@FaerieMUD.org>
  * .hgignore, Rakefile, pg.gemspec:
  Deprecate Ruby 1.9, fix license name
  [fc5828a71f2a]
  * ext/extconf.rb:
  Add mechanism for trying to build without pg_config
  [22a3a8ef3244]
  2015-12-25  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg.h, ext/pg_binary_encoder.c, ext/pg_coder.c,
  ext/pg_connection.c, ext/pg_copy_coder.c, ext/pg_text_encoder.c,
  spec/pg/connection_spec.rb, spec/pg/type_map_by_class_spec.rb,
  spec/pg/type_map_by_mri_type_spec.rb, spec/pg/type_spec.rb:
  Respect character encoding of all strings sent to the server.
  Previously all strings sent to the server were sent in their
  internal binary representation, without respecting the character
  encoding of strings. Now the encoding of all strings is compared
  with the current connection encoding and converted if they are
  different.
  Since coders are independent from any database connection, this adds
  a second parameter to PG::Coder#encode, that allows to define the
  destination encoding, which previously was always ASCII_8BIT. This
  encoding should be set to the connection encoding, in practice.
  This also adds a lot of tests for encoding and decoding data.
  This implements issue #231 : https://bitbucket.org/ged/ruby-
  pg/issues/231
  [e61a06f1f5ed]
  2016-03-22  Michael Granger  <ged@FaerieMUD.org>
  * Rakefile, pg.gemspec:
  Remove GPL from the `licenses` of the Hoespec/gemspec (fixes #72)
  [14d4f1399922]
  2016-01-31  Michael Granger  <ged@FaerieMUD.org>
  * Rakefile, pg.gemspec:
  Fix `hg:precheckin` task to re-generate the gemspec.
  [6294e7bdfd2b]
  * .hoerc, Gemfile, Rakefile, certs/ged.pem:
  Add gem cert, trying out gemspec-based setup.
  Hopefully Travis and Appveyor will work this way.
  [b3946987e6f4]
  * lib/pg/basic_type_mapping.rb:
  Fix the example for PG::BasicTypeMapForQueries.
  Fixes #213.
  [11f13477e4b9]
  * ext/pg_connection.c, ext/pg_result.c, lib/pg/connection.rb,
  lib/pg/result.rb:
  Small documentation fixes.
  - Make PG::Connection and PG::Result show up instead of PGconn and
  PGresult.
  - Add docs for PG::Result#inspect.
  - Swap `PGconn.open` for `PG.connect` in an example.
  - Add explicit returns to a few methods.
  [982082c0d77b]
  * ext/pg_connection.c:
  Clarify differences between class and instance escape methods.
  Borrow the wording from the PostgreSQL docs about the difference
  between class and instance variants of `escape_string` and
  `escape_bytea` for PG::Connection. Fixes #205.
  [01a8e779edb2]
  2016-01-30  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Gemfile:
  Update hoe-deveiate
  [7e95a9dae248]
  * Rakefile.cross:
  rake-compiler-dock-0.5.1 fixes the issue with bundler while cross
  compilation
  So we no longer need to disable rubygems.
  [7ad087272591]
  2016-01-30  Lars Kanis  <larskanis@gmail.com>
  * Merge pull request #13 from akito19/update_openssl
  update version OpenSSL
  [9917a9eefcd8]
  2016-01-30  Akito Kasai  <a.kasai415@gmail.com>
  * Rakefile.cross:
  update version OpenSSL
  [a9b7e8cbd788]
  2016-01-30  Lars Kanis  <larskanis@gmail.com>
  * Merge pull request #12 from akito19/fix_indent_on_README
  fix indent sample code [skip ci]
  [4e0e144275a2]
  2016-01-30  Akito Kasai  <a.kasai415@gmail.com>
  * README.rdoc:
  fix indent sample code
  [dec5b785d96c]
  2016-01-12  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_connection.c:
  Add missing ifdef for PostgreSQL < 9.5
  [df51313f26b9]
  2016-01-11  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/extconf.rb, ext/pg_connection.c, lib/pg/connection.rb,
  spec/pg/connection_spec.rb:
  Add PostgreSQL-9.5 functions PQsslInUse(), PQsslAttribute() and
  PQsslAttributeNames().
  [5a437ad15148]
  2016-01-12  Lars Kanis  <lars@greiz-reinsdorf.de>
  * spec/helpers.rb:
  Add rspec filter for PostgreSQL-9.5.
  [3b4857e5401c]
  2016-01-11  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg.h:
  Avoid compiler warning about undeclared function gettimeofday().
  ../../../../ext/pg_connection.c: In function ‘wait_socket_readable’:
  ../../../../ext/pg_connection.c:2393:3: warning: implicit
  declaration of function ‘gettimeofday’ [-Wimplicit-function-
  declaration] gettimeofday(&currtime, NULL);
  [bdd4f3c8fc73]
  2016-01-09  Lars Kanis  <lars@greiz-reinsdorf.de>
  * spec/pg/connection_spec.rb:
  Adjust timings in tests for better compat with Windows, which has
  less exact timers.
  [e51a84966ce6]
  * .travis.yml:
  Bundler is not installed per default on ruby-2.3.0 on travis-ci.
  [d94ffc08a04f]
  * .rvmrc:
  Remove .rvmrc from repository.
  This currently breaks the build on travis-ci.
  [fbaac4e36b9e]
  2015-08-29  Lars Kanis  <lars@greiz-reinsdorf.de>
  * .travis.yml:
  Switch windows binary gem build on travis-ci to docker.
  This is faster and the recommended ways to buid the gems now.
  [5fa0071f377a]
  2016-01-09  Lars Kanis  <lars@greiz-reinsdorf.de>
  * .travis.yml, appveyor.yml:
  Update appveyor and travis-ci tests from 9.4 and 9.0 to 9.5 and 9.1.
  [a66cd5015f50]
  2015-08-29  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Rakefile, Rakefile.cross, lib/pg.rb:
  Remove needless platform specific subdirectory for libpq.dll.
  [b3a270f74fdd]
  * Rakefile.cross:
  Don't abort 'rake gem:windows' when there are no key/certs for gem
  signing.
  [6c7d9a357ac3]
  * Rakefile:
  Don't abort the tests, if the pg_ext file is missing.
  This is required to run the tests with fat binary gems.
  [0115baee0e15]
  2016-01-09  Lars Kanis  <lars@greiz-reinsdorf.de>
  * .travis.yml:
  Use ruby '2.3.0' in travis-ci, since the alias '2.3' isn't
  available.
  [d28332e23fbc]
  * .travis.yml:
  Remove ruby 1.9.3 from travis-ci, since it fails anyway.
  [4173b84490f0]
  2016-01-08  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_connection.c:
  PQescapeString takes size_t, so RSTRING_LEN is correct.
  [9c8027a0934f]
  * Rakefile.cross:
  Update PostgreSQL version for cross build to 9.5.0
  [8048fe08c330]
  2015-12-31  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_connection.c:
  Fix description of encoder_for_put_copy_data
  [4d4de8d69dc0]
  2015-12-30  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_connection.c:
  Mark local functions as static.
  [1a2c1d85a8fd]
  2015-12-29  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_connection.c:
  Improve performance of conn.escape by 50%%.
  Copying the string twice and calling rb_obj_is_kind_of() twice isn't
  necessary.
  [a8ebc0163f6b]
  * ext/pg_connection.c:
  Describe more exactly the difference between quote_ident and
  escape_identifier.
  [b458c0c3d40e]
  2016-01-08  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/errorcodes.txt:
  Add new error codes introduced in PostgreSQL-9.5 per 'rake
  update_error_codes'
  [698e36b52c7d]
  2015-12-26  Lars Kanis  <lars@greiz-reinsdorf.de>
  * .travis.yml:
  Add ruby-2.3 on travis-ci.
  [e53198935b4a]
  * Rakefile.cross:
  Update libraries for Windows cross build.
  [de4fdcd96eb3]
  * Gemfile, Rakefile, Rakefile.cross:
  Enable Windows cross build for Ruby-2.3.
  [1a6f2861f9d3]
  * README.rdoc:
  Merge branch 'master@1' of ../ruby-pg.git.bare
  [b324f3f65a0c]
  * README.rdoc, ext/pg_copy_coder.c, lib/pg/basic_type_mapping.rb,
  lib/pg/connection.rb:
  Add a lot more of documentation, how COPY can be used with type
  coders and type maps.
  [256c059e4802]
* Wed Mar 23 2016 olaf@aepfle.de
- Force fixed timestamps for patched gems (bsc#916047)
* Sat Nov 14 2015 coolo@suse.com
- updated to version 0.18.4
  see installed History.rdoc
  == v0.18.4 [2015-11-13] Michael Granger <ged@FaerieMUD.org>
  Enhancements:
  - Fixing compilation problems with Microsoft Visual Studio 2008. GH #10
  - Avoid name clash with xcode and jemalloc. PR#22, PR#23
  Bugfixes:
  - Avoid segfault, when quote_ident or TextEncoder::Identifier
    is called with Array containing non-strings. #226
* Fri Sep  4 2015 coolo@suse.com
- updated to version 0.18.3
  see installed ChangeLog
  2015-09-03  Michael Granger  <ged@FaerieMUD.org>
  * History.rdoc:
  Added recent fix to the History file
  [f12dc2f1ce14] [tip]
  2015-09-01  Lars Kanis  <lars@greiz-reinsdorf.de>
  * lib/pg/text_decoder.rb:
  Add missing require
  [d0ba6a2cb10f]
  * Merge pull request #9 from ramfjord/date-decoder-return-dates
  Date decoder to return real Dates
  [676def89b826]
  2015-06-21  Thomas Ramfjord  <thomas.ramfjord@gmail.com>
  * lib/pg/text_decoder.rb, spec/pg/basic_type_mapping_spec.rb:
  modified TextDecoder::Date to return an actual ruby Date instead of
  a Time
  [c50593d12ba2]
  2015-08-20  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Rakefile:
  Add include for Hoe::MercurialHelpers as a temporary solution for
  the error:
  Packaging tasks require the hoe-mercurial plugin (gem install hoe-
  mercurial)
  [a84f83ff5b31]
  * History.rdoc:
  Update History.rdoc
  [cadfac537e73]
  * Merge branch 'master' of github.com:larskanis/ruby-pg
  [d27d6d5a6545]
  * README.rdoc:
  Add Appveyor status badge to the README.
  [c9637c6efcfb]
  * appveyor.yml:
  Use 9.3 because 9.0, 9.1 and 9.2 segfault in PG.init_openssl
  [158f6649b7b8]
  * spec/pg/connection_spec.rb:
  Skip conn#host test on Windows-x64, because it segfaults, currently.
  [04110aad7fc6]
  * spec/pg/connection_spec.rb:
  libpq on Windows doesn't respect the PGPORT env variable, so we
  accept both.
  [b4b666011f3f]
  * spec/helpers.rb:
  Older versions of PostgreSQL don't have a pid column, so this could
  raise an exception: TypeError: can't convert nil into Integer
  [48f1145fa631]
  * Rakefile.cross:
  Update OpenSSL version for Windows cross build.
  [be6b75fef0ff]
  * appveyor.yml:
  Add CI-tests on appveyor.
  [c2dc9e491853]
  2015-06-29  Lars Kanis  <kanis@comcard.de>
  * History.rdoc:
  Merge branch 'master' of https://github.com/larskanis/ruby-pg
  Conflicts: History.rdoc
  [affb47533d82]
  * History.rdoc, ext/util.c, spec/pg/type_spec.rb:
  Fix data type resulting in wrong base64 encoding.
  [5fb9170f6a7d]
  2015-06-17  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Gemfile, Rakefile, Rakefile.cross:
  Update versions of rake-compiler-dock, OpenSSL and PostgreSQL.
  [10c6b496314c]
  2015-06-12  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Rakefile.cross:
  Update OpenSSL and PostgreSQL versions for cross build.
  [02094cca1cf8]
  2015-06-11  Lars Kanis  <lars@greiz-reinsdorf.de>
  * History.rdoc, README-Windows.rdoc:
  Update README-Windows in regards to rake-compiler-dock.
  [4d9fd821ec1e]
  2015-06-09  Lars Kanis  <kanis@comcard.de>
  * Rakefile.cross:
  Cross build: Ensure ChangeLog file is built on the host side before
  entering the docker container.
  [d32412acff38]
  * Rakefile.cross:
  Cross build: Add workaround for missing symlink support on Windows.
  [52bb3eef00f0]
  * Rakefile.cross:
  Explicitly set the gcc-toolchain, instead of deriving from the rake-
  compiler config.
  Now, that we use the libpq.dll (instead of static linking), we can
  mix the gcc-toolchains. So we better build the dll with the newer
  mingw-w64 toolchain (instead of the old mingw32) and build only the
  extension for ruby-1.9 with the old mingw32-gcc.
  [b3d169fa189b]
  * Merge https://github.com/ged/ruby-pg
  [5aeb99dda0ca]
  2015-05-25  Michael Granger  <ged@FaerieMUD.org>
  * lib/pg/basic_type_mapping.rb:
  Whitespace fixes
  [57cfbc230597]
* Fri May 15 2015 coolo@suse.com
- updated to version 0.18.2
  see installed ChangeLog
  2015-05-14  Michael Granger  <ged@FaerieMUD.org>
  * .rvmrc:
  Bump default rvm Ruby to 2.2
  [128b075d5800] [tip]
  2015-03-13  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_text_encoder.c, ext/util.c, ext/util.h:
  Avoid possible symbol name clash when linking againt static libpq.
  This should fix issue #209 .
  [b859963462b2]
  2015-02-11  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg.c, spec/pg/connection_spec.rb:
  Merge from git branch.
  [b60c89ee93c8]
  * ext/pg.h, ext/pg_text_decoder.c:
  Merge branch 'non-c99-compiler'
  [b111c84b8445]
  2015-02-06  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/extconf.rb, ext/pg.h, ext/pg_result.c, ext/pg_text_decoder.c,
  ext/pg_type_map_by_mri_type.c:
  Use fixed size arrays in case the compiler doesn't support C99
  variable length arrays.
  This is notably the MSVC compiler.
  Note: The MSVC build environment is currently not tested on a
  regular base, so is not fully supported.
  [1269b8ad77b8]
  2015-02-11  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_connection.c:
  Replace quote_ident implementation with that of
  PG::TextEncoder::Identifier .
  This allowes quoation of array of strings in addition to plain
  strings and removes duplicated code.
  It also removes the 63 byte limitation and therefore obsolets pull
  request #21 https://bitbucket.org/ged/ruby-pg/pull-request/21
  [714601d05fba]
  * ext/pg.c, ext/pg.h, ext/pg_text_decoder.c, ext/pg_text_encoder.c,
  spec/pg/connection_spec.rb, spec/pg/type_spec.rb:
  Derive PG::TextDecoder::Identifier from PG::SimpleDecoder instead of
  CompositeDecoder
  .. and equally for Encoder.
  Identifiers are strings, so there is no good reason to compose it
  from other element types. This change allows a faster quoting
  implementation.
  [df67241d1a4f]
  2015-02-03  Michael Granger  <ged@FaerieMUD.org>
  * README.rdoc, ext/pg.c:
  Update copyright notices
  [447962e0dcba] [github/master]
  * spec/pg/connection_spec.rb:
  Whitespace fixes
  [f4a85f78807d]
  2014-08-22  Chris Bandy  <bandy.chris@gmail.com>
  * lib/pg/connection.rb, spec/pg/connection_spec.rb:
  Allow URI connection string
  (Imported from https://github.com/ged/ruby-pg/pull/3)
  [d4579ef9eae4]
  2015-01-27  Lars Kanis  <lars@greiz-reinsdorf.de>
  * lib/pg/text_decoder.rb, spec/pg/type_spec.rb:
  Fix decoding of fractional timezones like "-00:25:21".
  [766aa353b392]
  2015-01-27  Lars Kanis  <kanis@comcard.de>
  * History.rdoc, lib/pg/text_decoder.rb, spec/pg/type_spec.rb:
  Fix decoding of fractional timezones like "04:30".
  This fixes https://bitbucket.org/ged/ruby-pg/issue/203 .
  [33225805259c]
  2015-01-16  Lars Kanis  <kanis@comcard.de>
  * History.rdoc, ext/extconf.rb, ext/pg_connection.c,
  spec/pg/connection_spec.rb:
  Revert "Add PG::Connection#hostaddr. This is new in PostgreSQL-9.4."
  PQhostaddr was removed from final PostgreSQL-9.4.0.
  This fixes issue #202 :https://bitbucket.org/ged/ruby-pg/issue/202
  This reverts commit 03deab7aa63f9a00984014ce59617d552b4eac34.
  [b51d736bca77]
  * History.rdoc:
  Add a missing enhancement for pg-0.18.0
  [a7635c3425f3]
  * .travis.yml:
  Update ruby and postgresql versions for travic-ci
  [b67b92f7db97]
  2015-01-06  Lars Kanis  <kanis@comcard.de>
  * Merge from git.
  [625e9359ac47]
  2015-01-05  Lars Kanis  <kanis@comcard.de>
  * ext/pg_type_map_in_ruby.c:
  Use a simpler fix for https://bitbucket.org/ged/ruby-
  pg/commits/a38cf53a96f
  [3d89d3aae4fd]
  2015-01-05  Michael Granger  <ged@FaerieMUD.org>
  * .hgtags:
  Added tag v0.18.1 for changeset f97dd6cb4f34
  [f8122014065a]
  * .hgsigs:
  Added signature for changeset ba5aff64b5cb
  [f97dd6cb4f34] [v0.18.1]
  * History.rdoc, lib/pg.rb:
  Bump the patch version, update history
  [ba5aff64b5cb]
  * Rakefile:
  Fix the minimum Ruby version (closes #199)
  [69422cc8dc45]
  2015-01-03  Michael Granger  <ged@FaerieMUD.org>
  * .hgtags:
  Added tag v0.18.0 for changeset cfb2bfc0f661
  [8aff3973f2d2]
  * .hgsigs:
  Added signature for changeset c519766e3ec9
  [cfb2bfc0f661] [v0.18.0]
  * History.rdoc:
  Update the History
  [c519766e3ec9]
  * Manifest.txt:
  Keep the manifest sorted so it can be diffed.
  [d7cdbfd1b516]
  * Rakefile:
  Add a Rake task for generating the gemspec
  [ec6d6ce61a15]
* Fri Feb  6 2015 coolo@suse.com
- updated to version 0.18.1, huge Changelog
* Thu Nov 13 2014 dmueller@suse.com
- add rubygem-pg-0.17.1_shebang.patch
* Wed Nov 12 2014 tboerger@suse.com
- Added rubygem-pg-rpmlintrc to sources list
* Wed Nov 12 2014 tboerger@suse.com
- Fixed licenses related to the upstream source code
* Mon Nov 10 2014 tboerger@suse.com
- Added new ruby macros
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Mon Mar  3 2014 kkaempf@suse.com
- add rpmlintrc
* Thu Feb 13 2014 coolo@suse.com
- use new macros
* Fri Dec 20 2013 coolo@suse.com
- updated to version 0.17.1
  Bugfixes:
  - Fix compatibility with signal handlers defined in Ruby. This reverts
  cancelation of queries running on top of the blocking libpq API (like
  Connection#exec) in case of signals. As an alternative the #async_exec
  can be used, which is reverted to use the non-blocking API, again.
  - Wrap PQcancel to be called without GVL. It internally waits for
  the canceling connection.
  Documentation fixes:
  - Fix documentation for PG::Connection::conndefaults.
* Mon Sep 23 2013 coolo@suse.com
- updated to version 0.17.0, see Changelog
* Wed Jul 31 2013 coolo@suse.com
- updated to version 0.16.0
* Sat May 25 2013 coolo@suse.com
- updated to version 0.15.1
* Wed Dec  5 2012 coolo@suse.com
- updated to version 0.14.1
* Thu Feb 16 2012 saschpe@suse.de
- Added detail about last version update
- Ran spec-cleaner
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Aug  4 2011 fcastelli@novell.com
- update to version 0.11.0
  * Move connection-parameter parsing into Ruby
  * Automated merge with ssh://bitbucket.org/larskanis/ruby-pg
  * Update cross compilation tasks to use Ruby 1.8.7 instead of 1.8.6
  * Update readme for cross compile
  * Use RUBY_CC_VERSION from command line, if set
  * update PG and OpenSSL version for cross compile
  * always run "make libpq.a" for cross compilation
  * re-add required libs for cross compilation
* Wed Feb 23 2011 mrueckert@suse.de
- update to version 0.10.1
  - Add an include guard for pg.h
  - Simplify the common case require of the ext
  - Include the extconf header
  - Experimenting with a greatly-simplified extconf, since the
    complex one isn't solving any problems
  - Fixing compatibility with versions of PostgreSQL without
    PQgetCancel. (fixes #36)
  - Fix require for natively-compiled extension under Windows.
    (fixes #55)
  - Change rb_yield_splat() to rb_yield_values() for compatibility
    with Rubinius. (fixes #54)
- for the changes from 0.10.0 see
  /usr/lib*/ruby/gems/1.8/gems/pg-0.10.1/ChangeLog
- split out doc and testsuite package
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.9.0
  - Adding "fat gem" compatible loader, set the default
    RUBY_CC_VERSION.
  - Updated the Rakefile so it includes itself in gems. (closes
    [#15]) Thanks to flameeyes@bitbucket for
  - Applied patch for PGconn#async_exec to make it have the same
    semantics as PGconn#exec (closes #19). Thanks again to Lars
    Kanis for the patch.
  - Updated the Rakefile to always default the package version even
    if a version can't be read from the VERSION_FILE.
  - Improving spec database setup function (closes #18). Thanks to
    Lars Kanis for another fine patch.
  - Adding a test to ensure the result encoding remains the same
    even when client_encoding in the connection changes.
  - Made the 'make_header' in the extconf more clear.
  - Work around broken rb_thread_select() on win32; thanks to Lars
    Kanis for the patch!
  - Reverted removal of PGresult::InvalidOid, fixed broken spec.
  - Ignore some generated files, documentation work, removed type
    OID constants.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- updated to 0.8.0
* Thu Apr 17 2008 mrueckert@suse.de
- rename the package from rubygem-ruby-postgres to rubygem-pg
- update to 0.7.9.2008.03.18:
  - many bugfixes
* Thu Oct 19 2006 mrueckert@suse.de
- use gem_build_cleanup
* Mon Jul  3 2006 mrueckert@suse.de
- workaround a bug in the gem install:
  explicitly call "make" again. gem seems to call "make clean"
  which deletes the library.
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- removed build files
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 0.7.1.2006.04.06
